# BEGIN SourceDeps(oneline):
BuildRequires: perl(Attribute/Handlers.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(DBI.pm) perl(Exception/Handler.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/ShareDir.pm) perl(File/Util.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(HTTP/Server/Simple.pm) perl(Hash/Merge/Simple.pm) perl(IO.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(SQL/Translator.pm) perl(SQL/Translator/Schema/Field.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(SweetPea.pm) perl(SweetPea/Application.pm) perl(SweetPea/Application/Config.pm) perl(Template.pm) perl(Term/ReadLine.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.08
%define module_name SweetPea-Cli
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators
BuildRequires: perl(App/Rad.pm)

Name: perl-%module_name
Version: 0.08
Release: alt2
Summary: Rapid Application Development for SweetPea Packages
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AW/AWNCORP/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
... from the command-line
    sweetpea
    or
    perl -MSweetPea::Cli -e shell

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name



%prep
%setup -n %module_name-%module_version
# App/Rad
rm -rf lib/App

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*
#perl_vendor_privlib/A*
%perl_vendor_privlib/auto/*
%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sat Jan 18 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt2
- use external App::Rad

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

